Welcome! To use this support forum, please Login or Join Today!

   

Our Onyx WordPress Theme has PHP 5.4 ~ too old to be placed onto GoDaddy MANAGED WORDPRESS HOSTING ~ is there any way to update the PHP?

{name}
Rank

Total Posts: 10

Joined 2012-07-05

PM

 

In trying to move our WordPress site from a C:panel as a hosting solution to that of a MANAGED WORDPRESS HOSTING environment offered by GoDaddy ~ we discovered this was not possible because of deprecated PHP code ~ 5.4.

Is there a way to update our theme?

I see all of these release notes:
https://www.simplethemes.com/wordpress-themes/changelog/onyx

However, how do we update our theme?

Thank you

{name}
RankRankRankRank

Total Posts: 3667

Joined 2011-04-27

PM

 

Hi, If you’re using a 2011 version of Onyx, you should be able to go to your account and re-download the theme. The update for this process is kind of tricky but if you have an FTP client or access to a file manager in your web hosting control panel, you should be fine.


• First, go ahead and make a backup of the current theme located at wp-content/themes/onyx. If you’ve made edits to the CSS files, you’ll need to restore them later.

• Next, download the latest version of the Onyx theme and replace the one on your server.

If you haven’t made any edits to the CSS, then you’re done. If you load the site and the styles aren’t looking right then you’ll need to restore the CSS files from your backed up version.

I know this is kind of a pain, so if I can be of any service, feel free to email or PM me with your credentials and I’ll be glad to get it done for you.

{name}
Rank

Total Posts: 10

Joined 2012-07-05

PM

 

Exactly how can I tell if my Onyx theme has been updated or not?

I went into our database under the onyx files…  and I discovered that all of the css style files for that theme were last updated either in July or September of 2012?  Does that mean that our Onyx Wordpress theme has already been updated?  How can I tell?

Thanks,

Victoria

{name}
Rank

Total Posts: 10

Joined 2012-07-05

PM

 

I figured out how to tell what version of Onyx I am using.  I went to our wp-content > theme > css files and viewed them ~ we are on version 3.7.7

Thank you for the linked download for the newest version which is 4.6

I did not see an upgrade of php in the “Changelog and Updates” 
https://www.simplethemes.com/wordpress-themes/changelog/onyx

~Although I did see this note:
Rev 1072 : # fixed a compatibility issue with PHP 5.4
FRI, 08 FEB 2013 09:58:04 -0600

It appears that many functions had been changed in PHP….

The end of life for PHP 5.4 is approaching in just a few months. 
http://php.net/supported-versions.php

Will the PHP be updated?

{name}
RankRankRankRank

Total Posts: 3667

Joined 2011-04-27

PM

 

Yes, you must be using the latest version before upgrading PHP as v3.7 is several years old.

{name}
Rank

Total Posts: 10

Joined 2012-07-05

PM

 

Casey,

That must have been why I had difficulty.  I updated the Php before updating the theme.  Thank you for your help!

We are up and current now!  Thanks!


Victoria